# 4 Lights Consulting 

The apache php docker container that 4 Lights uses for production.

Dockerhub: https://hub.docker.com/r/4lights/phpcontainer

## How to update

Clone the project: ```git clone git@git.4lt.ca:4lt/phpcontainer.git```

Update the Dockerfile.

Build (be sure to change the version number)

```bash
podman buildx build --no-cache -t 4lights/phpcontainer:v5 -t 4lights/phpcontainer:latest --load .
podman login
podman push 4lights/phpcontainer:v4
podman push 4lights/phpcontainer:latest
```

# References And Notes

* [Stack Overflow IMAP features](https://stackoverflow.com/questions/49854767/docker-php7-2-fpm-cant-install-imap-module)
* Joomla base used: f9a16bcbd8/4.3/php8.1/apache/Dockerfile

## Supported Software

* Joomla
* 4 Lights PHP Framework
* Matomo

## Samples included in Repo

There is a docker-compose, env-sample and php.ini included as sample data.